# WARNING
# To build this package, you must set LC_ALL to cy
# example : LC_ALL=cy rpm -ba aspell-cy.speco

%define src_ver 0.50-3
%define languagelocal cymraeg
%define languageeng welsh
%define languageenglazy Welsh
%define languagecode cy
%define lc_ctype cy_CY

Summary:	%{languageenglazy} files for aspell
Name:		aspell-%{languagecode}
Version:	0.50.3
Release:	10mdk
Group:		System/Internationalization
Source:		http://aspell.sourceforge.net/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		http://aspell.sourceforge.net/
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides: spell-cy

BuildArch:	noarch
BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50

# Mandrake Stuff
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build
./configure
%make

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# fix doc perms
chmod 644 README

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_libdir}/aspell-*/*

%changelog
* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.50.3-10mdk
- rebuild for new aspell

* Tue Jul 27 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-9mdk
- allow build on ia64

* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-8mdk
- added directories owning

* Thu Jul 03 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-7mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.3-6mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.3-5mdk
- add tag Provides spell-cy

* Thu Feb 20 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-4mdk
- fixed buildrequires

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-3mdk
- rebuild

* Mon Nov 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-2mdk
- rebuild with correct locales (i sux)
- fix doc perms
- noarch
- BuildRequires make is useless

* Sun Nov 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-1mdk
- first mdk release
- warning about locales
